Enable Pageviews API for test.wikipedia.org
Closed, ResolvedPublic

Description

test.wikipedia.org is blacklisted for the Pageviews API, which kind of defeats the point of having a test instance.

Tgr created this task.Mar 14 2017, 11:57 PM
Restricted Application added a project: Analytics. · View Herald TranscriptMar 14 2017, 11:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Blacklisted where?

Tgr added a comment.Mar 15 2017, 6:00 AM

Links due whenever jenkinsbot sobers up.

Change 342784 merged by jenkins-bot:
[analytics/refinery/source] Do not filter test[2].wikipedia.org

https://gerrit.wikimedia.org/r/342784

Change 342782 merged by Joal:
[analytics/refinery] Add test.wikipedia to the pageview whitelist

https://gerrit.wikimedia.org/r/342782

Let's not forget to update refinery jar version bump at deploy time for those two patches to be successful.

Currently filtered out of pageviews by definition

As I said elsewhere including https://meta.wikimedia.org/wiki/Research_talk:Active_editor , the definition should be about how we calculate the totals, not about the data which we keep.

Nuria closed this task as Resolved.Mar 22 2017, 7:47 PM